Page MenuHomePhabricator

Our *.wikimedia.org cert doesn't properly cover https://pa.us.wikimedia.org/
Closed, ResolvedPublic

Description

Though pauswikimediawiki is 'somewhat' dead, it should either be renamed or we should find a solution to the SSL cert failure.


Version: unspecified
Severity: trivial
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=58024

Details

Reference
bz38763

Related Objects

StatusAssignedTask
ResolvedNone
OpenNone
ResolvedNone
ResolvedNone
DeclinedNone
DeclinedNone
InvalidNone
InvalidNone
Declinedbrion
Resolved yuvipanda
DeclinedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
Resolved Tfinc
ResolvedNone
DeclinedNone
ResolvedNone
ResolvedRyanLane
ResolvedNone
ResolvedReedy
ResolvedNone
ResolvedCatrope

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 1:06 AM
bzimport added projects: HTTPS, acl*sre-team.
bzimport set Reference to bz38763.
bzimport added a subscriber: Unknown Object (MLST).

It doesn't include *.m.wikimedia.org either, so both entries can be added when requesting a new certificate.

Ruslik00 wrote:

*.planet.wikimedia.org is also problematic.

for *.planet.wikimedia.org -> RT 3481

Dzahn added a comment.Dec 21 2012, 6:56 PM

we would prefer renaming of sub.sub.domains. It is not possible to get a *.*.wikimedia.org cert as far as we know. So we would have to get extra certificates or add them as additional SANs. Please also hear RobH on this, since he orders certs and had some plans to get them unified.

What would you think of using wikimedia.us as the TLD for all US-based city/state chapters?

".., like us-bo Wikimedia Boston, us-ca Wikimedia California, us-mw Wikimedia Midwest US and us-pa Wikimedia Pennsylvania and turn those into bo.wikimedia.us, ca.wikimedia.us, bo.wikimedia.us"

https://rt.wikimedia.org/Ticket/Display.html?id=4416

This bug appears to be a duplicate of bug 31335.

Dzahn added a comment.Mar 14 2013, 9:02 PM

added pa-us.wikimedia.org to DNS to replace pa.us (but keep that too for redirects

RENAMED

O
M
G
Z

15:52 < mutante> !log pa.us.wikimedia.org now redirects to pa-us.wikimedia.org (Wikimedia Pennsylvania) (no sub.sub domains)

Koavf added a subscriber: Koavf.Aug 25 2015, 6:10 AM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptAug 25 2015, 6:10 AM
Restricted Application added a project: Traffic. · View Herald TranscriptAug 23 2017, 5:42 PM